
QGIS Application - Bug report #20001

"vector" menu is empty when QGIS is localized in Italian

2018-10-03 11:03 AM - marianna ronconi

Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category: Translations and international

Affected QGIS version:3.2.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 27823

Description

Version: latest QGis 3.2.3 - When I select "Vettore" on the top of program, the window of commands doesn't open. I can't use commands.

History

#1 - 2018-10-03 12:07 PM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

I've seen this before, it is related with locale configuration and menu item translations ...

#2 - 2018-10-03 12:50 PM - Alessandro Pasotti

- Status changed from Open to Feedback

I cannot reproduce on current master with italian locale, can you try the nightly build and check if the issue is still there?

#3 - 2018-10-03 02:05 PM - Giovanni Manghi

- Category changed from Actions to Translations and international

- Subject changed from "Vettore" doesn't work to "vector" menu is empty when QGIS is localized in Italian

#4 - 2018-11-02 09:24 AM - Borys Jurgiel

The menu is empty because you probably didn't load any plugin that could use it. Please enable the "Processing" plugin and everything should work.

Alessandro, I guess you remember a different problem: if the Processing algorithms are bound to the "Vettore" menu and you switch to e.g. French, you'll

see two menus: "Vecteur" (empty if there is no other plugin to use it) and the good old "Vettore" coming from QSettings (#18202).

#5 - 2019-02-23 08:37 PM - Jürgen Fischer

- Status changed from Feedback to Closed

- Resolution set to no timely feedback

Bulk closing 82 tickets in feedback state for more than 90 days affecting an old version.  Feel free to reopen if it still applies to a current version and you

have more information that clarify the issue.
